class Configs(object):

    """Manage Configs.
    """

    def __init__(self, client):
        self.client = client

    def create(self, name, grid, image, memory, swap, cpu, options={}):
        """Creates a single config.

        '/configs/' POST

        Args:
            name: 
            grid: 
            image: 
            memory: 
            swap: 
            cpu: 
        """
        body = options['body'] if 'body' in options else {}
        body['name'] = name
        body['grid'] = grid
        body['image'] = image
        body['memory'] = memory
        body['swap'] = swap
        body['cpu'] = cpu

        response = self.client.post('/configs/', body, options)

        return response

    def list(self, options={}):
        """Lists configs.

        '/configs/' GET
        """
        body = options['query'] if 'query' in options else {}

        response = self.client.get('/configs/', body, options)

        return response

