class DomainBinding(object):

    """Manage Domain Bindings.

    Args:
        domain: Domain Name 
    """

    def __init__(self, domain, client):
        self.domain = domain
        self.client = client

    def retrieve(self, options={}):
        """Returns a single domain binding.

        '/domain-bindings/:domain/' GET
        """
        body = options['query'] if 'query' in options else {}

        response = self.client.get('/domain-bindings/' + self.domain + '/', body, options)

        return response

    def destroy(self, options={}):
        """Destroys a single domain binding.

        '/domain-bindings/:domain/' DELETE
        """
        body = options['body'] if 'body' in options else {}

        response = self.client.delete('/domain-bindings/' + self.domain + '/', body, options)

        return response

