class SshKey(object):

    """Manage SSH Keys.

    Args:
        id: ID
    """

    def __init__(self, id, client):
        self.id = id
        self.client = client

    def retrieve(self, options={}):
        """Returns a single SSH Key.

        '/ssh-key/:id/' GET
        """
        body = options['query'] if 'query' in options else {}

        response = self.client.get('/ssh-key/' + self.id + '/', body, options)

        return response

    def destroy(self, options={}):
        """Destroys a single SSH Key.

        '/ssh-key/:id/' DELETE
        """
        body = options['body'] if 'body' in options else {}

        response = self.client.delete('/ssh-key/' + self.id + '/', body, options)

        return response

