class Zones(object):

    """Manage Zones.
    """

    def __init__(self, client):
        self.client = client

    def create(self, domain, options={}):
        """Creates a single zone.

        '/zones/' POST

        Args:
            domain: Domain Name
        """
        body = options['body'] if 'body' in options else {}
        body['domain'] = domain

        response = self.client.post('/zones/', body, options)

        return response

    def list(self, options={}):
        """Lists zones.

        '/zones/' GET
        """
        body = options['query'] if 'query' in options else {}

        response = self.client.get('/zones/', body, options)

        return response

